# Defines functions for this feature

do '../web-lib.pl';
&init_config();

# feature_name()
# Returns a short name for this feature
sub feature_name
{
return $text{'feat_name'};
}

# styles_list()
# If defined, should return a list of style hash refs supported by this plugin
sub styles_list
{
my @rv;
my $dir = $module_root_directory;
opendir(STYLEDIR, $dir);
foreach my $s (readdir(STYLEDIR)) {
	next if ($s eq "." || $s eq "..");
	my %sinfo;
	read_file("$dir/$s/style.info", \%sinfo) || next;
	$sinfo{'name'} = $s;
	$sinfo{'dir'} = "$dir/$s";
	push(@rv, \%sinfo);
	}
closedir(STYLEDIR);

return @rv;
}

1;

